Skip to content

List SFS

GET
/api/v1/efs/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/efs/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'
page_no
integer

The page number from which you want your page search results to be displayed.

per_page
integer

Number of results per page

project_id
required
integer
location
required
string
Allowed values: Delhi Chennai

Deployment region for the resource. Accepted values: Delhi, Chennai.

Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.

Successful response with EFS resources data

Media typeapplication/json
object
code
integer
data
Array<object>
object
id
integer
name
string
efs_disk_size
string
private_endpoint
string
iops
integer
status
string
plan_name
string
is_backup_enabled
boolean
backup_state
string
vpc_id
integer
vpc_name
string
is_all_vpc_resources_allowed
boolean
vpc_node_id
integer
price_per_hour
number format: float
price_per_month
number format: float
committed_info
nullable
isEncryptionEnabled
boolean
subnet_name
string
is_e2e_vpc
boolean
errors
object
key
additional properties
any
message
string

Example

{
"code": 200,
"data": [
{
"id": 1396,
"name": "sfs-993",
"efs_disk_size": "250 GB",
"private_endpoint": "10.0.0.19",
"iops": 3750,
"status": "Available",
"plan_name": "250 GB",
"is_backup_enabled": false,
"backup_state": "",
"vpc_id": 6882,
"vpc_name": "VPC-672",
"is_all_vpc_resources_allowed": false,
"vpc_node_id": 266626,
"price_per_hour": 4.175,
"price_per_month": 3000,
"committed_info": null,
"isEncryptionEnabled": true,
"subnet_name": "Subnet-137",
"is_e2e_vpc": false
}
],
"errors": {},
"message": "Success"
}